Subject: Custom hardware Qdisc...

From: David Daney <[email-masked]>
Date: Fri, 11 Dec 2009 10:26:08 -0800

Our hardware (Octeon SOC) has fairly flexible packet output queuing that 
can be done completely in hardware.

I am thinking of trying to take advantage of this in the driver 
(currently in drivers/staging/octeon).

At a very hige level my tentative plan is to implement a custom  Qdisc 
that has an enqueue method that places the packets directly in the 
output queues after they are classified.

The dequeue method would be a noop returning NULL because once the 
packets are on the queues, no further action is needed from the driver.

Does doing something like this seem plausible?  If not, what are the 
main problems I might be overlooking?

Thanks in advance,
David Daney